<template lang="pug">
div
  header
    button(@click="requestDevices") Connect device
    nav
      router-link(tag="button", to="/") Home
      router-link(tag="button", to="/case-1") Case-1
      router-link(tag="button", to="/painters") Painters

  main
    router-view
      
</template>





<script lang="js">

import { useDevices, useRootMapper } from '@bitaffair/vue-streamdeck';


import { ref, defineComponent, computed, unref } from 'vue';



const STREAMDECK_DEVICE_SERIAL_A = 'CL21L2A04476';
const STREAMDECK_DEVICE_SERIAL_B = 'AL49I2C06510';
  
  



export default {

  setup() {
    const { requestDevices } = useDevices();


    const rootMapper = useRootMapper();
      rootMapper.set(0, STREAMDECK_DEVICE_SERIAL_A);
      rootMapper.set(1, STREAMDECK_DEVICE_SERIAL_B);


    return {
      requestDevices
    }
  }
}

</script>


<style lang="scss" module="$css">
  header {
    padding: .5em;
    background: purple;

    nav {
      display: flex;
      gap: .5em;
      align-items: center;
      a {
        border: none;
        background: white;
        border-radius: 3px;
        font-size: 1.2em;
        cursor: pointer;
        padding: .5em 1em;
        color: #000;
        
        &:hover, &:global(.router-link-active) {
          background: limegreen;
          color: #fff;
        }
      }
    }
  }
</style>